Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class Organization

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ModelEntity
          com.tibco.bpm.web.client.model.types.org.Organization

    public class Organization

extends ModelEntity

Constructor Summary
`Organization()`

Method Summary
`SelectionMode` | `getAllocationMethod()`
`java.lang.String` | `getCalendarAlias()`
`ModelEntity` | `getLocationRef()`
`java.util.List<OrgUnit>` | `getOrgUnit()`
`ModelEntity` | `getSchemaType()`
`void` | `setAllocationMethod(SelectionMode allocationMethod)`
`void` | `setCalendarAlias(java.lang.String calendarAlias)`
`void` | `setLocationRef(ModelEntity locationRef)`
`void` | `setOrgUnit(java.util.List<OrgUnit> orgUnit)`
`void` | `setSchemaType(ModelEntity schemaType)`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.ModelEntity
`getGuid, getLabel, getName, setGuid, setLabel, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Organization

    public Organization()

Method Detail

### getAllocationMethod

    public SelectionMode getAllocationMethod()

### setAllocationMethod

    public void setAllocationMethod(SelectionMode allocationMethod)

### getSchemaType

    public ModelEntity getSchemaType()

### setSchemaType

    public void setSchemaType(ModelEntity schemaType)

### getCalendarAlias

    public java.lang.String getCalendarAlias()

### setCalendarAlias

    public void setCalendarAlias(java.lang.String calendarAlias)

### getLocationRef

    public ModelEntity getLocationRef()

### setLocationRef

    public void setLocationRef(ModelEntity locationRef)

### getOrgUnit

    public java.util.List<OrgUnit> getOrgUnit()

### setOrgUnit

    public void setOrgUnit(java.util.List<OrgUnit> orgUnit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.